<div class="container py-5 mx-auto">
    <div class="d-flex justify-content-end mb-2">
        <button class="btn btn-primary" (click)="addInventory()">Add Inventory</button>
    </div>

    <div class="table-responsive">
        <table class="table table-striped">
            <thead>
            <tr>
                <th scope="col">Name</th>
                <th scope="col">Price</th>
                <th scope="col">Quantity</th>
                <th scope="col">Unit</th>
                <th scope="col">Description</th>
                <th scope="col-1">Action</th>
            </tr>
            </thead>
            <tbody>
                <tr *ngFor="let inventoryItem of inventory">
                    <td>
                        {{inventoryItem.name}}
                    </td>
                    <td>{{inventoryItem.price}}</td>
                    <td>{{inventoryItem.quantity}}</td>
                    <td>{{inventoryItem.unit}}</td>
                    <td>{{inventoryItem.description}}</td>
                    <td>
                        <a (click)="editInventory(inventoryItem._id)" class="p-1 mr-2 text-decoration-none text-white btn bg-success align-items-center text-nowrap">
                            <em class="fa fa-pencil-square-o mr-2" aria-hidden="true"></em>
                            <span>Edit</span>
                        </a>
                        <a (click)="deleteInventory($event, inventoryItem, content)" class="p-1 text-decoration-none btn text-white bg-danger align-items-center text-nowrap">
                            <em class="fa fa-trash mr-2" aria-hidden="true"></em>
                            <span>Delete</span>
                        </a>
                    </td>
                </tr>
                <tr *ngIf="inventory.length <= 0">
                    <td colspan="6" class="text-center">
                        No Inventory found    
                    </td>
                </tr>
            </tbody>
            </table>
    </div>
    <div class="d-flex justify-content-end mt-2" *ngIf="total > (pageSize * page)">
        <ngb-pagination
            [collectionSize]="total" [(page)]="page" [pageSize]="pageSize" (pageChange)="loadPage($event)">
        </ngb-pagination>
    </div>
</div>
<ng-template #content let-modal>
    <div class="modal-header">
        <h5 class="modal-title" id="modal-basic-title">{{popUpTitle}}</h5>
        <button type="button" class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="modal-body">
        <form>
            <div class="form-group">
                <label>{{popUpBody}}</label>
                <br/>
                <label>{{selectedInventory}}</label>
            </div>
        </form>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn text-white bg-success" (click)="modal.close('Yes')">Yes</button>
        <button type="button" class="btn text-white bg-danger" (click)="modal.close('No')">Cancel</button>
    </div>
</ng-template>